# Created by pyp2rpm-1.0.1
%global pypi_name astropy
%define version 0.2.4

Name:           python-astropy
Version:        %{version}
Release:        %mkrel 4
Group:          Development/Python
Summary:        Community-developed python astronomy tools

License:        BSD
URL:            http://www.astropy.org/
Source0:        http://pypi.python.org/packages/source/a/astropy/astropy-%{version}.tar.gz
Patch0:  python-astropy-0.2.3-mga-add-libmath.patch
 
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  wcslib-devel
BuildRequires:  expat-devel
BuildRequires:  cfitsio-devel >= 3.350
BuildRequires:  python-numpy-devel
Requires:       python-numpy
# remove old python-stsci to avoid fitscheck conflict
Obsoletes:      python-stsci <= 2.13-1.mga4

%description
Astropy is a package intended to contain core functionality and some
common tools needed for performing astronomy and astrophysics research
with Python. It also provides an index for other astronomy packages
and tools for managing them.

%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p1
sed -i -e 's/->quantize_dither/->quantize_method/g' \
   astropy/io/fits/src/compressionmodule.c

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
# generate html docs 
%{__python} setup.py build_sphinx --build-dir . -n

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc html cextern/README.rst cextern/expat/tests/README.txt cextern/expat/tests/benchmark/README.txt cextern/expat/bcb5/README.txt cextern/expat/vms/README.vms cextern/expat/amiga/README.txt cextern/expat/win32/README.txt README.rst scripts/README.rst astropy/io/ascii/tests/test_cds_header_from_readme.py licenses/README.rst cextern/cfitsio/License.txt docs/license.rst licenses/PLY_LICENSE.rst licenses/PYFITS.rst licenses/SOFA.rst licenses/LICENSE.rst licenses/EXPAT_LICENSE.rst licenses/WCSLIB_LICENSE.rst licenses/CONFIGOBJ_LICENSE.rst licenses/PYTEST_LICENSE.rst licenses/SPHINXEXT_LICENSES.rst cextern/wcslib/COPYING.LESSER
%{_bindir}/volint
%{_bindir}/fitscheck
%{_bindir}/fitsdiff

#%{python_sitelib}/%{pypi_name}
%{python_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%{python_sitearch}/%{pypi_name}


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.2.4-4.mga4
+ Revision: 542906
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.4-3.mga4
+ Revision: 498127
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 04 2013 joequant <joequant> 0.2.4-2.mga4
+ Revision: 463155
- override binaries in python-stsci

* Fri Jul 26 2013 joequant <joequant> 0.2.4-1.mga4
+ Revision: 458558
- fix bindir
- update to 0.2.4 and fix cfitsio compatibility
- upgrade to 0.2.3
- imported package python-astropy

